Bug 533763 - Review Request: tex-cjw - LaTeX class for writing resumes and cover letters
Summary: Review Request: tex-cjw - LaTeX class for writing resumes and cover letters
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2009-11-09 02:48 UTC by W. Michael Petullo
Modified: 2021-01-08 02:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-08 02:04:00 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description W. Michael Petullo 2009-11-09 02:48:19 UTC
Spec URL: http://www.flyn.org/SRPMS/tex-cjw.spec
SRPM URL: http://www.flyn.org/SRPMS/tex-cjwltx-20090907-1.fc12.src.rpm
Description:
cjwltx is a LaTeX class for writing resumes, cover letters and other common documents.

This package does not contain a clear, consistent copyright notice. I have contacted the author and he has agreed on the LPPL in an email. However, I have not yet seen a new release referencing the LPPL.

Comment 1 Susi Lehtola 2009-11-12 10:14:27 UTC
Just a few notes:

Change Requires: texlive-latex to Requires: tex(latex).

If you're using braces around %{texpkgdir} use them also with %{buildroot}.

Comment 2 W. Michael Petullo 2010-02-14 21:56:24 UTC
Spec URL: http://www.flyn.org/SRPMS/tex-cjw.spec
SRPM URL: http://www.flyn.org/SRPMS/tex-cjwltx-20090907-2.fc12.src.rpm

- Require tex(latex)
- Put braces around buildroot

Comment 3 Jason Tibbitts 2010-11-13 20:56:53 UTC
A few comments as I look through these ancient review tickets:

The packaging looks fine; there's some stuff you can drop (Buildroot, %clean, first line of %install) on today's Fedora releases.

The upstream URL is 404 for me, as is the Source0: URL.

Not sure how the license comes out to LPPL; I checked for copyright statements and came up with the following (from cjw-latex.ins

=====
    Copyright (C) 1997 by:  Colin J. Wynne <cwynne@mts.jhu.edu>

This file is part of cjw-latex, a collection of package files for
LaTeX2e, written by Colin J. Wynne.  It may be freely distributed in
any form---electronic, physical, or otherwise---so long as the
distributor provides this file in its entirety (including this
copyright announcement) and charges no fee (except for reasonable
recompense for the duplication process).  Fair 'nough?

I would also prefer that the entire source file `cjw-latex.dtx',
together with `cjw-latex.ins', be propagated instead of any one
subfile.

Please feel free to improve on or alter any code herein as suits your
needs, and by all means notify me of any suggestions, improvements, or
requests.

This file is beer-ware.  If you use it and like it, then you should
buy me a beer if you ever meet me. :-)
=====

There are also files with copyright statements but no license:

cjw-ltr.ins:
=====
Copyright (C) 1995 by Colin J. Wynne

This file is part of cjw-ltr, a class for creating modified standard
letters as well as German style letters under LaTeX2e.
=====

cjwoutl.ins:
=====
Copyright (C) 1995 by Colin J. Wynne

This file is part of cjwoutl, a package
for generating outlines with LaTeX2e.
=====

And so forth.  I'm not sure what that all comes out to, but I'm rather certain it's not LPPL.

Comment 4 W. Michael Petullo 2010-11-13 23:01:07 UTC
I have a personal email from Colin. He agreed on the LPPL and said he'd update the source files. I never saw the changes applied to the files and now they do not seem to be available any more. I will contact Colin and ask him about this again.

Comment 5 Tom "spot" Callaway 2012-07-27 18:27:47 UTC
Any update here? This review request is very old.

Comment 6 James Hogarth 2015-12-04 01:17:51 UTC
As per the stalled review policy please provide an update. If one is not provided in the next week this bug will be closed.

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

Comment 7 W. Michael Petullo 2015-12-05 23:01:28 UTC
Well, Colin did not update the source file. I still have a personal email from him, but that is all. I just sent another email asking if he would be willing to update the source files to use the LPPL license.

Comment 8 Package Review 2020-07-10 00:45:31 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time. We're sorry
it is taking so long. If you're still interested in packaging this software
into Fedora repositories, please respond to this comment clearing the
NEEDINFO flag.

You may want to update the specfile and the src.rpm to the latest version
available and to propose a review swap on Fedora devel mailing list to increase
chances to have your package reviewed. If this is your first package and you
need a sponsor, you may want to post some informal reviews. Read more at
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group.

Without any reply, this request will shortly be considered abandoned
and will be closed.
Thank you for your patience.

Comment 9 W. Michael Petullo 2020-07-10 01:03:32 UTC
This review request is still valid.

Comment 10 Robert-André Mauchin 🐧 2020-07-10 17:06:36 UTC
 - Not needed anymore

%defattr(-,root,root,-)

rm -rf %{buildroot}

Group:

 - Both sources and url seems defunct, there's a mirror here: https://ctan.math.utah.edu/ctan/tex-archive/macros/latex/contrib/cjw.zip

Comment 11 W. Michael Petullo 2020-07-12 15:31:44 UTC
Spec URL: http://www.flyn.org/SRPMS/tex-cjw.spec
SRPM URL: https://www.flyn.org/SRPMS/tex-cjwltx-20090907-3.fc32.src.rpm

- Remove use of defattr
- Remove rm -rf of buildroot
- Remove use of Group
- Update Source0

Comment 12 Robert-André Mauchin 🐧 2020-07-12 17:14:20 UTC
 - Spec filename and bug report should match the SPEC name:

Name:             tex-cjwltx


 - Use global not define

  - %{!?_texmf: %define _texmf %(eval "echo `kpsewhich -expand-var '$TEXMFMAIN'`")}

 Use the predefined macros:

%_texmf_main = /usr/share/texlive/texmf-dist

%global texpkg    cjwltx
%global texpkgdir %{_texmf_main}/tex/latex/%{texpkg}
%global texpkgdoc %{_texmf_main}/doc/latex/%{texpkg}


 - Run the Texlive macros:

%post
%texlive_post

%postun
%texlive_postun

%posttrans
%texlive_posttrans

Comment 13 W. Michael Petullo 2020-07-12 20:39:37 UTC
Spec URL: http://www.flyn.org/SRPMS/tex-cjw.spec
SRPM URL: https://www.flyn.org/SRPMS/tex-cjwltx-20090907-4.fc32.src.rpm

- Use global, not define
- Use predefined macros
- Run the TeX Live macros

Comment 14 Robert-André Mauchin 🐧 2020-07-12 21:59:06 UTC
 - Spec filename and bug report should match the SPEC name:

Name:             tex-cjwltx


Choose either tex-cjwltx or tex-cjw. Make all the same name: the SPEC filename, and this bug title as it will determine the repo name too.

 - Can safely remove this now:

%{!?_texmf: %global _texmf %(eval "echo `kpsewhich -expand-var '$TEXMFMAIN'`")}



Package is approved but you need to choose the name you are going to use *before* requesting the repo.




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Spec file name must match the spec package %{name}, in the format
  %{name}.spec.
  Note: tex-cjw.spec should be tex-cjwltx.spec
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_spec_file_naming


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[-]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[ ]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Bad spec filename: /home/bob/packaging/review/tex-cjw/review-
     tex-cjw/srpm-unpacked/tex-cjw.spec
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: tex-cjwltx-20090907-4.fc33.noarch.rpm
          tex-cjwltx-20090907-4.fc33.src.rpm
tex-cjwltx.noarch: W: description-shorter-than-summary
tex-cjwltx.noarch: W: no-url-tag
tex-cjwltx.noarch: W: no-documentation
tex-cjwltx.noarch: W: dangerous-command-in-%posttrans rm
tex-cjwltx.src: W: description-shorter-than-summary
tex-cjwltx.src: W: no-url-tag
tex-cjwltx.src: E: invalid-spec-name
2 packages and 0 specfiles checked; 1 errors, 6 warnings.

Comment 15 W. Michael Petullo 2020-07-13 21:33:05 UTC
Spec URL: http://www.flyn.org/SRPMS/tex-cjw.spec
SRPM URL: https://www.flyn.org/SRPMS/tex-cjw-20090907-5.fc32.src.rpm

- Simplify package name to cjw
- Remove texmf definition from first line of specification

Comment 16 Gwyn Ciesla 2020-07-13 21:45:49 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/tex-cjw


Note You need to log in before you can comment on or make changes to this bug.